Bug 472684 - Review Request: electric - Sophisticated Java based VLSI CAD System
Review Request: electric - Sophisticated Java based VLSI CAD System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 07:40 EST by Chitlesh GOORAH
Modified: 2008-12-08 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:05:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-11-23 07:40:08 EST
Spec URL: http://chitlesh.fedorapeople.org/electric/electric.spec
SRPM URL: http://chitlesh.fedorapeople.org/electric/electric-8.07-1.fc9.src.rpm

Description:
Electric is a sophisticated electrical CAD system that can handle
many forms of circuit design, including custom IC layout (ASICs),
schematic drawing, hardware description language specifications,
and electro-mechanical hybrid layout.
Comment 1 Paul F. Johnson 2008-11-29 09:25:23 EST
I'll take this :-)
Comment 2 Paul F. Johnson 2008-11-29 09:27:10 EST
Niggle :     javadoc         \

As this is the last on the list, the trailing \ should be omitted
Comment 3 Paul F. Johnson 2008-11-29 09:34:21 EST
Builds cleanly with no rpmlint warning
Builds fine in mock (x86)
Spec file is clean, UTF-8

Other than the niggle in #2, I can't see a problem with this. It's not missing any deps from what I can see.

APPROVED
Comment 4 Chitlesh GOORAH 2008-11-29 13:15:30 EST
Ok thanks, I'll update the spec before committing:

New Package CVS Request
=======================
Package Name: electric
Short Description: Sophisticated Java based VLSI CAD System
Owners: chitlesh
Branches: F-9 F-10 EL-5
Comment 5 Kevin Fenzi 2008-12-01 15:51:07 EST
cvs done.
Comment 6 Fedora Update System 2008-12-07 03:04:35 EST
electric-8.07-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/electric-8.07-2.fc9
Comment 7 Fedora Update System 2008-12-07 03:04:38 EST
electric-8.07-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/electric-8.07-2.fc10
Comment 8 Fedora Update System 2008-12-08 08:05:07 EST
electric-8.07-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-08 08:08:52 EST
electric-8.07-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.